
QGIS Application - Bug report #16800

Split vector layer cause segmentation fault

2017-07-06 08:59 AM - matteo ghetta

Status: Closed

Priority: High

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 24699

Description

Tested with different dataset. 

The algorithm "Split vector layer" does not care about the directory chosen for the output. Results are saved only in the `/tmp` directoy.

Associated revisions

Revision e0915103 - 2017-07-07 09:02 AM - Nyall Dawson

Fix folder destinations always default to temp folder (fix #16800)

History

#1 - 2017-07-06 11:59 AM - Giovanni Manghi

- Project changed from QGIS Redmine (QGIS bug tracker) to QGIS Application

- Assignee deleted (Giovanni Manghi)

- Category changed from Any to Processing/QGIS

- Easy fix? set to No

- Regression? set to Yes

- Crashes QGIS or corrupts data set to Yes

- Affected QGIS version set to master

- Priority changed from Normal to High

#2 - 2017-07-07 09:02 AM - Nyall Dawson

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|e0915103fde49a75fbe7ccb022008ef556d64d89.
